# Uses of Enum
org.kapott.hbci.sepa.jaxb.camt_052_001_04.DocumentType3Code

Packages that use DocumentType3Code
Package
Description
org.kapott.hbci.sepa.jaxb.camt_052_001_04

## Uses of DocumentType3Code in org.kapott.hbci.sepa.jaxb.camt_052_001_04

Fields in org.kapott.hbci.sepa.jaxb.camt_052_001_04 declared as DocumentType3Code
Modifier and Type
Field
Description
`protected DocumentType3Code`
CreditorReferenceType1Choice.`cd`
Methods in org.kapott.hbci.sepa.jaxb.camt_052_001_04 that return DocumentType3Code
Modifier and Type
Method
Description
`static DocumentType3Code`
DocumentType3Code.`fromValue(String v)`
`DocumentType3Code`
CreditorReferenceType1Choice.`getCd()`
Gets the value of the cd property.
`static DocumentType3Code`
DocumentType3Code.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static DocumentType3Code[]`
DocumentType3Code.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.kapott.hbci.sepa.jaxb.camt_052_001_04 with parameters of type DocumentType3Code
Modifier and Type
Method
Description
`void`
CreditorReferenceType1Choice.`setCd(DocumentType3Code value)`
Sets the value of the cd property.